; Dan Ehrman's version 12/11/91 ---------------------------------------------------------------------------
; Display Tech fax forms and toggle between them
; ---------------------------------------------------------------------------
proc TECHFAX_DISPLAY()
   private  PROCNAME

   PROCNAME = "TECHFAX_DISPLAY"

   view "TECHLIST"
   pickform "2"   

   while (True)
      wait table
         prompt "Select a Tech Fax and press [F2]",
                "Or press [Esc] to cancel"
      until "F2", "Esc", "Dos", "DosBig",
            "Rotate", "F1", "LockKey", "KeyLookup", "ResyncKey"

      switch
         case retval = "F2" :
            DISPLAY_DETAILS()

         case retval = "Esc" :
            clearimage
            quit

         otherwise :
            beep

      endswitch
      
   endwhile

endproc


; ---------------------------------------------------------------------------
; Display the actual tech fax details
; ---------------------------------------------------------------------------
proc DISPLAY_DETAILS()
   private  PROCNAME,
            CURRENT.RECORD

   PROCNAME = "DISPLAY_DETAILS"

   CURRENT.RECORD = rowno()

   pickform "3"
   downimage

   while (True)
      wait record
         prompt "Viewing Tech Fax; press [Esc] to return to the master list",
                "Use [Up], [Down], [PgUp], [PgDn], [Home] and [End] to move around"
      until "Esc", "Up", "Down", "PgDn", "PgUp", "Home", "End",
            "Dos", "DosBig", "Rotate", "F1", "LockKey", "KeyLookup", "ResyncKey"

      switch
         case retval = "Esc":
            quitloop

         case retval = "Up":
            if not atfirst() then
               setrecordposition recno()-1 1
            endif

         case retval = "Down":
            if not atlast() then
               setrecordposition recno()+1 1
            endif                                    

         case retval = "PgDn" :
            if nimagerecords() - recno() < 17 then
               setrecordposition nimagerecords()-16 1
            else
               setrecordposition recno()+16 1
            endif
            
         case retval = "PgUp" :
            if recno() < 17 then
               setrecordposition 1 1
            else
               setrecordposition recno()-16 1
            endif
            
         case retval = "Home" :
            setrecordposition 1 1
            
         case retval = "End" :
            if nimagerecords() <= 17 then
               setrecordposition 1 1
            else
               setrecordposition nimagerecords()-16 1
            endif

         otherwise :
            beep
               
      endswitch

   endwhile

   upimage
   pickform "2"
   setrecordposition recno() CURRENT.RECORD

endproc



TECHFAX_DISPLAY()