; TechFax.sc  Display Borland Tech Fax Database. 11/27/91

; Concept and design by Robin S. Rowe  312-280-7693  CIS:72230,3014
; Rowe Software, 1313 N. Ritchie Ct., #1707, Chicago, IL  60610
; Revised 5/13/92. Not copyrighted.

;---------------------------- WrongSort() ----------------- 05-13-92

PROC WrongSort()	; Deals with INTL or other sort order mismatch.
PRIVATE errorproc
IF ERRORCODE()=8	; Object mismatch-- wrong sort order.
OR ERRORCODE()=13
THEN
	RESET
	IF ISFILE("SetSort.sc")
	THEN
		PLAY "SetSort"
	ELSE
		QUIT "Play SetSort script to change table index sort order."
	ENDIF
ELSE
	QUIT ERRORMESSAGE()
ENDIF
ENDPROC

;--------------------------------  TechFax()  --------------  11/27/91

PROC TechFax()		; TechFax OnLine Help System (viewer).
PRIVATE	file,
		title,
		errorproc
errorproc="WrongSort"
MESSAGE "Retrieving TechFax system"
CANVAS OFF
IF ISEMPTY("Techlist") AND ISFILE("GetFax.sc")
THEN
	PLAY "GetFax"
ENDIF
VIEW "Link"
COEDITKEY
FORMKEY
INS
CANVAS ON
WHILE TRUE
	MOVETO "TechList"
	IMAGERIGHTS READONLY
	WAIT TABLE 
	PROMPT "Press [Enter] to pick topic.  "+
		  "Use Zoom to search [Ctrl][Z], [Alt][Z].",
		  "Press [Esc] to exit."
	UNTIL 13,27,9
	IMAGERIGHTS
	SWITCH
	CASE MENUCHOICE()<>"Error":	; [Ctrl][Z] in progress.
		IF retval=9
		THEN
			retval=13
		ENDIF
		KEYPRESS retval
		MESSAGE WINDOW()
		LOOP
	CASE retval=27:
		MOVETO "Link"
		DEL
		DO_IT!
		CLEARIMAGE
QUIT "TechFax Online Help System ver 1.2 by Rowe Software, not copyrighted"
	ENDSWITCH
	file=[File]
	title=[Title]
	MOVETO "Link"
	[File]=file
	MOVETO "TechFax"
	IMAGERIGHTS READONLY
	msg=STRVAL(RECNO())
	WHILE TRUE
		CURSOR OFF
		CANVAS ON
		WAIT TABLE
		PROMPT "Press [Esc] when done viewing "+file+":",
			  title
		MESSAGE msg
		UNTIL 27,-72,-80,-73,-81,-71,-79
		CANVAS OFF
		SWITCH
		CASE retval=27:	; [Esc]
			IF MENUCHOICE()<>"Error"
			THEN
				ESC
				LOOP
			ENDIF
			IMAGERIGHTS
			CANVAS ON
			QUITLOOP
		CASE retval=-72:	; [Up]
			IF ATFIRST()
			THEN
				msg="Top"
				LOOP
			ENDIF
			SETRECORDPOSITION RECNO()-1 1
		CASE retval=-80:	; [Down]
			IF ATLAST()
			THEN
				msg="End"
				LOOP
			ENDIF
			SETRECORDPOSITION RECNO()+1 1
		CASE retval=-73:	; [PgUp]
			IF RECNO()>11
			THEN
				SETRECORDPOSITION RECNO()-11 1
			ELSE
				HOME
				msg="Top"
				LOOP
			ENDIF
		CASE retval=-81:	; [PgDn]
			IF RECNO()<NIMAGERECORDS()-11
			THEN
				SETRECORDPOSITION RECNO()+11 1
			ELSE
				msg="End"
				LOOP
			ENDIF
		CASE retval=-71:	; [Home]
			HOME
			msg="Top"
			LOOP
		CASE retval=-79:	; [End]
			END
			MOVETO RECORD RECNO()-21
			SETRECORDPOSITION RECNO() 1
			msg="End"
			LOOP
		ENDSWITCH
		msg=STRVAL(RECNO())
	ENDWHILE	
ENDWHILE
ENDPROC

TechFax()
RELEASE PROCS TechFax, WrongSort